classdef basis
    properties(Access=private)
        % identification
        id 
    end
    properties(SetAccess=private)
        % dimension
        dim
    end
    
    methods
        % (preliminary) constructor
        function B = basis(d)
            if ~isnumeric(d) || d<=0 || d~=floor(d)
                error('Dimension must be a positive integer.');
            end
            B.dim = d;
            % for simplicity id = dimension
            B.id = d;
        end
    end
end